<?php
// HostCMS

namespace PhpOffice\PhpSpreadsheet\Worksheet;

use GdImage;

class ContentDrawing extends MemoryDrawing
{
	public $imageResource;

    /**
     * Set image resource.
     *
     * @return $this
     */
    public function setImageResource(?GdImage $value): static
	{
		$this->imageResource = $value;

		return $this;
	}

	/**
	 * Set width and height.
	 *
	 * @param int $width
	 * @param int $height
	 *
	 * @return BaseDrawing
	 */
	public function setWidthAndHeight(int $width, int $height): self
	{
		$this->width = $width;
		$this->height = $height;

		return $this;
	}
}
